TLM-2.0: tlm_utils::callback_binder_bw< TYPES > Class Template Reference

# tlm_utils::callback_binder_bw< TYPES > Class Template Reference

`#include <multi_socket_bases.h>`

Inheritance diagram for tlm_utils::callback_binder_bw< TYPES >:

[legend]
Collaboration diagram for tlm_utils::callback_binder_bw< TYPES >:

[legend]

List of all members.

## Public Types
typedef TYPES::tlm_payload_type | transaction_type
typedef TYPES::tlm_phase_type | phase_type
typedef tlm::tlm_sync_enum | sync_enum_type
typedef nb_transport_functor < TYPES > | nb_func_type
typedef invalidate_dmi_functor < TYPES > | dmi_func_type
## Public Member Functions
| callback_binder_bw (int id)
sync_enum_type | nb_transport_bw (transaction_type &txn, phase_type &p, sc_core::sc_time &t)
void | invalidate_direct_mem_ptr (sc_dt::uint64 l, sc_dt::uint64 u)
void | set_callbacks (nb_func_type &cb1, dmi_func_type &cb2)

## Detailed Description

### template<typename TYPES>
class tlm_utils::callback_binder_bw< TYPES >

Definition at line 249 of file multi_socket_bases.h.

## Member Typedef Documentation

template<typename TYPES >

typedef invalidate_dmi_functor<TYPES> tlm_utils::callback_binder_bw< TYPES >::dmi_func_type

Definition at line 258 of file multi_socket_bases.h.

template<typename TYPES >

typedef nb_transport_functor<TYPES> tlm_utils::callback_binder_bw< TYPES >::nb_func_type

Definition at line 257 of file multi_socket_bases.h.

template<typename TYPES >

typedef TYPES::tlm_phase_type tlm_utils::callback_binder_bw< TYPES >::phase_type

Definition at line 253 of file multi_socket_bases.h.

template<typename TYPES >

typedef tlm::tlm_sync_enum tlm_utils::callback_binder_bw< TYPES >::sync_enum_type

Definition at line 254 of file multi_socket_bases.h.

template<typename TYPES >

typedef TYPES::tlm_payload_type tlm_utils::callback_binder_bw< TYPES >::transaction_type

Definition at line 252 of file multi_socket_bases.h.

## Constructor & Destructor Documentation

template<typename TYPES >

tlm_utils::callback_binder_bw< TYPES >::callback_binder_bw | ( | int | id | ) | `[inline]`

Definition at line 261 of file multi_socket_bases.h.

## Member Function Documentation

template<typename TYPES >

void tlm_utils::callback_binder_bw< TYPES >::invalidate_direct_mem_ptr | ( | sc_dt::uint64 | l,
|  | sc_dt::uint64 | u |
| ) |  |  | `[inline, virtual]`

Implements tlm::tlm_bw_direct_mem_if.

Definition at line 278 of file multi_socket_bases.h.

template<typename TYPES >

sync_enum_type tlm_utils::callback_binder_bw< TYPES >::nb_transport_bw | ( | transaction_type & | txn,
|  | phase_type & | p,
|  | sc_core::sc_time & | t |
| ) |  |  | `[inline, virtual]`

Implements tlm::tlm_bw_nonblocking_transport_if< TYPES::tlm_payload_type, TYPES::tlm_phase_type >.

Definition at line 265 of file multi_socket_bases.h.

template<typename TYPES >

void tlm_utils::callback_binder_bw< TYPES >::set_callbacks | ( | nb_func_type & | cb1,
|  | dmi_func_type & | cb2 |
| ) |  |  | `[inline]`

Definition at line 288 of file multi_socket_bases.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/multi_socket_bases.h